Mailinglist Archive: opensuse (3354 mails)

< Previous Next >
Re: [opensuse] MDADM - can't force build with 4 disks
  • From: John Andersen <jsa@xxxxxxxxxxxxxx>
  • Date: Thu, 29 Mar 2007 20:29:37 -0800
  • Message-id: <200703292029.37953.jsa@xxxxxxxxxxxxxx>
On Thursday 29 March 2007, Steve Pritchard wrote:
> Hello,
>
> I'm trying to build a 4 disk ATA raid with OpenSuse 10.2. In both the Yast
> module and CLI using mdadm I get the same error: invalid raid level: =raid5
>
> My command line looks like this:
> mdadm --create --force /dev/md0 --chunk=64 -l=raid5 -n=4 /dev/hde /dev/hdf
> /dev/hdg /dev/hdh
>
> Both Yast and the CLI will allow the build using 3 disks and a spare...but
> --force SHOULD tell mdadm to use all disks for the array....and it does not
> seem to work.
>
> Any thoughts and ideas appreciated!
>
> cheers,
>
> Steve

Also Steve, try just 5 instead of raid5.  Both should work, but who knows.

-- 
_____________________________________
John Andersen
< Previous Next >
References